Package org.apache.sis.storage

## Class UnsupportedStorageException

- Object
- - Throwable
  - - Exception
    - - DataStoreException
      - - IllegalOpenParameterException
        - - UnsupportedStorageException

- All Implemented Interfaces:
    `Serializable`, `LocalizedException`

      public class UnsupportedStorageException
      extends IllegalOpenParameterException

  Thrown when no `DataStoreProvider` is found for a given storage object. May also be thrown if a `DataStore` is instantiated directly but the data store can not handle the given input or output object.
  Since:
    0.4
  See Also:
    Serialized Form

  Defined in the `sis-storage` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnsupportedStorageException()` | Creates an exception with no cause and no details message.
    `UnsupportedStorageException​(String message)` | Creates an exception with the specified details message.
    `UnsupportedStorageException​(String message, Throwable cause)` | Creates an exception with the specified details message and cause.
    `UnsupportedStorageException​(Throwable cause)` | Creates an exception with the specified cause and no details message.
    `UnsupportedStorageException​(Locale locale, String format, Object storage, OpenOption... options)` | Creates a localized exception for an invalid input or output object given to a data store.

  - ### Method Summary

    - ### Methods inherited from class DataStoreException

      `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedStorageException

          public UnsupportedStorageException()

      Creates an exception with no cause and no details message.

    - #### UnsupportedStorageException

          public UnsupportedStorageException​(String message)

      Creates an exception with the specified details message.
      Parameters:
        `message` - the detail message.

    - #### UnsupportedStorageException

          public UnsupportedStorageException​(Throwable cause)

      Creates an exception with the specified cause and no details message.
      Parameters:
        `cause` - the cause for this exception.

    - #### UnsupportedStorageException

          public UnsupportedStorageException​(String message,
                                             Throwable cause)

      Creates an exception with the specified details message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause for this exception.

    - #### UnsupportedStorageException

          public UnsupportedStorageException​(Locale locale,
                                             String format,
                                             Object storage,
                                             OpenOption... options)

      Creates a localized exception for an invalid input or output object given to a data store. Arguments given to this constructor are hints for building an error message.
      Parameters:
        `locale` - the locale of the message to be returned by `DataStoreException​.getLocalizedMessage()`, or `null`.
        `format` - short name or abbreviation of the data format (e.g. "CSV", "GML", "WKT", etc).
        `storage` - the invalid input or output object. This is typically `StorageConnector​.getStorage()`.
        `options` - the option used for opening the file, or `null` or empty if unknown. This method looks in particular for `StandardOpenOption​.READ` and `WRITE` options for inferring if the data store was to be used as a reader or as a writer. Those options can be obtained by `StorageConnector​.getOption(OptionKey​.OPEN_OPTIONS)`.
      Since:
        0.8